> For the complete documentation index, see [llms.txt](https://docs.n8n.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.n8n.io/connect/n8n-api/community-package.md).

# Community Package

Operations about community packages

## List installed community packages

> Retrieve all installed community packages with pending update info.

```json
{"openapi":"3.0.0","info":{"title":"n8n Public API","version":"1.1.1"},"tags":[{"name":"CommunityPackage","description":"Operations about community packages"}],"servers":[{"url":"/api/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-N8N-API-KEY"}},"schemas":{"communityPackageList":{"type":"array","items":{"$ref":"#/components/schemas/communityPackage"}},"communityPackage":{"type":"object","properties":{"packageName":{"type":"string","description":"npm package name"},"installedVersion":{"type":"string","description":"Currently installed version"},"authorName":{"type":"string","description":"Package author name"},"authorEmail":{"type":"string","description":"Package author email"},"installedNodes":{"type":"array","description":"Nodes included in this package","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"latestVersion":{"type":"number"}}}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"updateAvailable":{"type":"string","description":"Version available for update, if any"},"failedLoading":{"type":"boolean","description":"Whether the package failed to load"}}}},"responses":{"unauthorized":{"description":"Unauthorized"}}},"paths":{"/community-packages":{"get":{"tags":["CommunityPackage"],"summary":"List installed community packages","description":"Retrieve all installed community packages with pending update info.","responses":{"200":{"description":"Operation successful.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/communityPackageList"}}}},"401":{"$ref":"#/components/responses/unauthorized"}}}}}}
```

## Install a community package

> Install a community package by npm name and optional version.

```json
{"openapi":"3.0.0","info":{"title":"n8n Public API","version":"1.1.1"},"tags":[{"name":"CommunityPackage","description":"Operations about community packages"}],"servers":[{"url":"/api/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-N8N-API-KEY"}},"schemas":{"installCommunityPackageRequest":{"type":"object","required":["name"],"properties":{"name":{"type":"string","description":"npm package name (must start with n8n-nodes-)"},"version":{"type":"string","description":"Specific semver version to install"},"verify":{"type":"boolean","description":"Whether to verify the package against the n8n-vetted package list. Required when the instance has N8N_UNVERIFIED_PACKAGES_ENABLED=false.\n"}}},"communityPackage":{"type":"object","properties":{"packageName":{"type":"string","description":"npm package name"},"installedVersion":{"type":"string","description":"Currently installed version"},"authorName":{"type":"string","description":"Package author name"},"authorEmail":{"type":"string","description":"Package author email"},"installedNodes":{"type":"array","description":"Nodes included in this package","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"latestVersion":{"type":"number"}}}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"updateAvailable":{"type":"string","description":"Version available for update, if any"},"failedLoading":{"type":"boolean","description":"Whether the package failed to load"}}}},"responses":{"badRequest":{"description":"The request is invalid or provides malformed data."},"unauthorized":{"description":"Unauthorized"}}},"paths":{"/community-packages":{"post":{"tags":["CommunityPackage"],"summary":"Install a community package","description":"Install a community package by npm name and optional version.","requestBody":{"description":"Package to install.","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/installCommunityPackageRequest"}}}},"responses":{"200":{"description":"Package installed successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/communityPackage"}}}},"400":{"$ref":"#/components/responses/badRequest"},"401":{"$ref":"#/components/responses/unauthorized"}}}}}}
```

## Uninstall a community package

> Uninstall a community package by name.

```json
{"openapi":"3.0.0","info":{"title":"n8n Public API","version":"1.1.1"},"tags":[{"name":"CommunityPackage","description":"Operations about community packages"}],"servers":[{"url":"/api/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-N8N-API-KEY"}},"responses":{"badRequest":{"description":"The request is invalid or provides malformed data."},"unauthorized":{"description":"Unauthorized"},"notFound":{"description":"The specified resource was not found."}}},"paths":{"/community-packages/{name}":{"delete":{"tags":["CommunityPackage"],"summary":"Uninstall a community package","description":"Uninstall a community package by name.","parameters":[{"name":"name","in":"path","description":"npm package name","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Package uninstalled successfully."},"400":{"$ref":"#/components/responses/badRequest"},"401":{"$ref":"#/components/responses/unauthorized"},"404":{"$ref":"#/components/responses/notFound"}}}}}}
```

## Update a community package

> Update an installed community package to a new version.

```json
{"openapi":"3.0.0","info":{"title":"n8n Public API","version":"1.1.1"},"tags":[{"name":"CommunityPackage","description":"Operations about community packages"}],"servers":[{"url":"/api/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-N8N-API-KEY"}},"schemas":{"communityPackage":{"type":"object","properties":{"packageName":{"type":"string","description":"npm package name"},"installedVersion":{"type":"string","description":"Currently installed version"},"authorName":{"type":"string","description":"Package author name"},"authorEmail":{"type":"string","description":"Package author email"},"installedNodes":{"type":"array","description":"Nodes included in this package","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"latestVersion":{"type":"number"}}}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"updateAvailable":{"type":"string","description":"Version available for update, if any"},"failedLoading":{"type":"boolean","description":"Whether the package failed to load"}}}},"responses":{"badRequest":{"description":"The request is invalid or provides malformed data."},"unauthorized":{"description":"Unauthorized"},"notFound":{"description":"The specified resource was not found."}}},"paths":{"/community-packages/{name}":{"patch":{"tags":["CommunityPackage"],"summary":"Update a community package","description":"Update an installed community package to a new version.","parameters":[{"name":"name","in":"path","description":"npm package name","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Update options.","required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"version":{"type":"string","description":"Specific semver version to update to"},"verify":{"type":"boolean","description":"Whether to verify the package against the n8n-vetted package list. Setting to false will allow installing or updating to an unverified version. Default is true.\n"}}}}}},"responses":{"200":{"description":"Package updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/communityPackage"}}}},"400":{"$ref":"#/components/responses/badRequest"},"401":{"$ref":"#/components/responses/unauthorized"},"404":{"$ref":"#/components/responses/notFound"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.n8n.io/connect/n8n-api/community-package.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
